Package ghidra.util.table.field

# Class ReferenceToPreviewTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData,Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData>
ghidra.util.table.field.AbstractReferencePreviewTableColumn
ghidra.util.table.field.ReferenceToPreviewTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData,Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData>`, `ProgramLocationTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData>`

public class ReferenceToPreviewTableColumn extends AbstractReferencePreviewTableColumn

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceToPreviewTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.

  ### Methods inherited from class ghidra.util.table.field.AbstractReferencePreviewTableColumn

  `getColumnDisplayName, getColumnRenderer, getMaxLines, getProgramLocation, getSettingsDefinitions, getValue`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getHeaderRenderer, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### ReferenceToPreviewTableColumn

    public ReferenceToPreviewTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,PreviewTableCellData,Program>`
    Returns:
      the field instance name.